package net.wanji.utc.common.constant;

import net.wanji.utc.po.ApiInfoPO;

import java.util.concurrent.ConcurrentHashMap;

public class Constants {
    /**
     * 厂商接口地址
     */
    private static ConcurrentHashMap<String, ApiInfoPO> manufacturerUrlMap = new ConcurrentHashMap<>();

    /**
     * 系统缩写
     */
    public static final String SYSTEM_ABBR = "UTC";


    /**
     * 分隔符：下划线
     **/
    public static final String SEPARATOR_UNDER_LINE = "_";

    /**
     * 海康返回成功码
     */
    public static final Integer HK_SUCCESS_CODE = 0;
    /**
     * 海康返回码的 key
     */
    public static final String HK_CODE_KEY = "code";

    public static ApiInfoPO getManufacturerUrlMap(String key) {
        return manufacturerUrlMap.get(key);
    }

    public static void putManufacturerUrlMap(String key, ApiInfoPO value) {
        manufacturerUrlMap.put(key, value);
    }
}