package net.wanji.utc.entity.cache;

import lombok.Data;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/18 9:12
 */
@Data
public class PhaseCache {
      private Integer ringNo; // 环号
      private Integer phaseNo; // 相位号
      private String phaseName; // "北向进口通行"
      private Integer phaseSequence; // 相位序
      private Integer phaseLength; // 相位时间
      private Integer schemeId; // 方案ID
      private Integer phaseId; // 相位ID
      private List<Integer> laneNoList; // 车道号列表
}
