package net.wanji.utc.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/15 16:47
 */
@Data
public class ManufacturerInfoPO {
    /** 厂商ID */
    @ApiModelProperty(name = "厂商ID",notes = "")
    private Integer id ;
    /** 厂商代码 */
    @ApiModelProperty(name = "厂商代码",notes = "")
    private String code ;
    /** 厂商名称 */
    @ApiModelProperty(name = "厂商名称",notes = "")
    private String name ;
    /** 厂商简称 */
    @ApiModelProperty(name = "厂商简称",notes = "")
    private String nickName ;
    /** 平台地址 */
    @ApiModelProperty(name = "平台地址",notes = "")
    private String address ;
    /** 维护单位 */
    @ApiModelProperty(name = "维护单位",notes = "")
    private String maintenanceUnit ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
